GOBGP(1)

NAME
gobgp - GoBGP CLI client

DESCRIPTION

  Usage:

    gobgp [flags] gobgp [command]

  Available Commands:

    bmp completion Generate the autocompletion script for the specified shell global help Help about any command log-level monitor mrt neighbor policy rpki vrf

  Flags:

--bash-cmpl-file string
    bash cmpl filename (default "gobgp-completion.bash")

-d, --debug
    use debug

-c, --gen-cmpl
    generate completion file

-h, --help
    help for gobgp

-u, --host string
    host (default "127.0.0.1")

-j, --json
    use json format to output format

-p, --port int
    port (default 50051)

-r, --pprof-port int
    pprof port

-q, --quiet
    use quiet

--target string
    alternative to host/port when using UDS. Examples: unix:///var/run/go-bgp.sock (absolute path) or unix:tmp/go-bgp.sock (relative to current directory).

--tls
    connection uses TLS if true, else plain TCP

--tls-ca-file string
    The file containing the CA root cert file

--tls-client-cert-file string
    Optional file path to TLS client certificate

--tls-client-key-file string
    Optional file path to TLS client key

Use "gobgp [command] --help" for more information about a command.